Imports System.Linq
Imports DevExpress.Xpo
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl


<DefaultClassOptions(), NonPersistent> _
Public Class StoragePDACollectionProductSelectPopup
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        _PricingActionHeader_List = New List(Of PricingActionHeader)
        IsOvverides = False
    End Sub

    Private _PricingActionHeader_List As IList(Of PricingActionHeader)

    Property DateExecution As Date
    Property IsOvverides As Boolean
    ReadOnly Property PricingActionHeader As IList(Of PricingActionHeader)
        Get
            Return _PricingActionHeader_List
        End Get
    End Property
End Class
